Loading...
Searching...
No Matches
Opm::GasLiftWellState< Scalar > Class Template Reference

## Public Member Functions

| GasLiftWellState (Scalar oil_rate, bool oil_is_limited, Scalar gas_rate, bool gas_is_limited, Scalar alq, bool alq_is_limited, Scalar water_rate, bool water_is_limited, std::optional< bool > increase)
Scalar | alq () const
bool | alqChanged ()
bool | alqIsLimited () const
bool | gasIsLimited () const
Scalar | gasRate () const
std::pair< Scalar, Scalar > | getRates ()
std::optional< bool > | increase () const
bool | oilIsLimited () const
Scalar | oilRate () const
Scalar | waterRate () const
bool | waterIsLimited () const
void | update (Scalar oil_rate, bool oil_is_limited, Scalar gas_rate, bool gas_is_limited, Scalar alq, bool alq_is_limited, Scalar water_rate, Scalar water_is_limited, bool increase)

The documentation for this class was generated from the following files:

- opm/simulators/wells/BlackoilWellModelGeneric.hpp
- opm/simulators/wells/GasLiftWellState.hpp